DROP TABLE IF EXISTS `Client`;
CREATE TABLE `Client` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Client_Number` varchar(15) NOT NULL DEFAULT '',
  `Privil` varchar(15) NOT NULL DEFAULT '',
  `Active` enum('0','1') NOT NULL DEFAULT '0',
  `ActiveUntil` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `MaxDomains` int(11) NOT NULL DEFAULT '100',
  `Title` varchar(10) DEFAULT NULL,
  `First_Name` varchar(70) DEFAULT NULL,
  `Surname` varchar(70) DEFAULT NULL,
  `Company` varchar(70) DEFAULT NULL,
  `Street` varchar(70) DEFAULT NULL,
  `Postal_Code` varchar(10) DEFAULT NULL,
  `Suburb` varchar(70) NOT NULL DEFAULT '',
  `Country` varchar(70) NOT NULL DEFAULT '0',
  `City` varchar(70) NOT NULL DEFAULT '',
  `CountryGroup` enum('0','1','2') NOT NULL DEFAULT '0',
  `Telephone` varchar(50) DEFAULT NULL,
  `Cellphone` varchar(50) NOT NULL DEFAULT '',
  `ID_Number` varchar(30) DEFAULT NULL,
  `Date_Of_Birth` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Fax` varchar(50) DEFAULT NULL,
  `RipeHandle` varchar(16) NOT NULL DEFAULT '',
  `Login` varchar(15) DEFAULT NULL,
  `Password` varchar(30) DEFAULT NULL,
  `FromEmail1` varchar(40) NOT NULL DEFAULT '',
  `FromEmail2` varchar(40) DEFAULT NULL,
  `FromEmail3` varchar(40) DEFAULT NULL,
  `PublicKey` mediumtext NOT NULL,
  `Newsletter` enum('0','1') NOT NULL DEFAULT '0',
  `Notice` enum('0','1') NOT NULL DEFAULT '1',
  `Notifyemail` varchar(100) DEFAULT NULL,
  `Notifyemail_Robot` varchar(100) NOT NULL DEFAULT '',
  `Notifyemail_Traffic` varchar(100) DEFAULT NULL,
  `Notifyemail_Invoice` text,
  `FreeTraffic` decimal(4,2) DEFAULT NULL,
  `Bank_Branch_Code` varchar(8) DEFAULT NULL,
  `Bank_Account_Number` varchar(30) DEFAULT NULL,
  `Bank_Account_Holder` varchar(60) DEFAULT NULL,
  `Bank_Account_Type` enum('0','1','2','3','4','5') NOT NULL DEFAULT '0',
  `Bank_Name` varchar(60) NOT NULL DEFAULT '',
  `Bank_Branch_Location` varchar(60) NOT NULL DEFAULT '',
  `Reseller` enum('0','1') NOT NULL DEFAULT '0',
  `Reseller_Proof` varchar(60) NOT NULL DEFAULT '',
  `CreditCardNumber` varchar(30) NOT NULL DEFAULT '',
  `CreditCardExpiration` varchar(6) NOT NULL DEFAULT '',
  `CreditCardName` varchar(15) NOT NULL DEFAULT '',
  `payment_method` enum('Unspecified','Cash','Debit Order') NOT NULL DEFAULT 'Unspecified',
  `Mother_ID` varchar(12) NOT NULL DEFAULT '',
  `ChargeVAT` enum('0','1') NOT NULL DEFAULT '1',
  `Summary_Invoice` enum('0','1') NOT NULL DEFAULT '0',
  `Separate_Invoice` enum('0','1') NOT NULL DEFAULT '0',
  `Email_Format` enum('0','1','2','3') NOT NULL DEFAULT '1',
  `Dedi_Graph` enum('0','1') NOT NULL DEFAULT '1',
  `TaxID` varchar(20) NOT NULL DEFAULT '',
  `Discount` decimal(4,2) DEFAULT NULL,
  `ChargeRobotSetup` enum('0','1','2') DEFAULT NULL,
  `ClientCreated` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `Comment` text,
  `Advice` mediumtext NOT NULL,
  `Vat_Number` varchar(30) DEFAULT NULL,
  `Rejection_Counter` tinyint(11) DEFAULT '0',
  `Marketing` enum('Print','Brainstorm','ComputerActive','Google','ITWeb','Mouth','Website','Search','Designer','Hetzner','Other','SA Computer Magazine','Entrepreneur Magazine','Financial Mail') DEFAULT NULL,
  `Marketing_other` mediumtext,
  `Billing_First_Name` varchar(70) NOT NULL DEFAULT '',
  `Billing_Surname` varchar(70) NOT NULL DEFAULT '',
  `Billing_Telephone` varchar(50) NOT NULL DEFAULT '',
  `Billing_Cellphone` varchar(50) NOT NULL DEFAULT '',
  `Tech_First_Name` varchar(70) NOT NULL DEFAULT '',
  `Tech_Surname` varchar(70) NOT NULL DEFAULT '',
  `Notifyemail_Tech` varchar(100) NOT NULL DEFAULT '',
  `Tech_Telephone` varchar(50) NOT NULL DEFAULT '',
  `Tech_Cellphone` varchar(50) NOT NULL DEFAULT '',
  `Verified` enum('0','1') NOT NULL DEFAULT '1',
  `mass_update_notification_sent` enum('1','2','3','more','no') NOT NULL DEFAULT 'no',
  `mass_update_submission_sent` enum('yes','no') NOT NULL DEFAULT 'no',
  `contact_Confirmed` enum('True','False') NOT NULL DEFAULT 'True',
  `is_test_profile` enum('0','1') DEFAULT '0',
  `Google` enum('None','Eligible','Emailed','Issued') NOT NULL DEFAULT 'None',
  `Google_Value_ID` int(11) NOT NULL DEFAULT '0',
  `Google_Expiry` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `app_installer_active` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`ID`),
  KEY `Login` (`Login`),
  KEY `Password` (`Password`),
  KEY `Notifyemail_Invoice` (`Notifyemail_Invoice`(20)),
  KEY `Client_Number` (`Client_Number`)
) ENGINE=InnoDB AUTO_INCREMENT=185532 DEFAULT CHARSET=latin1;

