require 'soar/registry/directory/test/provider/stub'
require 'soar/registry/directory/test/provider/mysql'
require 'soar/registry/directory/test/provider/dynamo_db'
require 'soar/registry/directory/test/provider/ldap'

module Soar
  module Registry
    module Directory
      module Test
        class Orchestrator

          def initialize(provider)
            raise ArgumentError if provider.nil?
            @provider = provider
          end

          def given_existing_data
            @provider.given_existing_data
          end

          def given_configured_directory
            @provider.given_configured_directory
          end

          def sabotage_network
            @provider.sabotage_network
          end

          def put_entry
            @provider.put_entry
          end

          def put_duplicate_entry
            @provider.put_duplicate_entry
          end

          def search_for_entry
            @provider.search_for_entry
          end

          def fetch_entry
            @provider.fetch_entry
          end

          def request_index
            @provider.request_index
          end

          def duplicate_entry?
            @provider.duplicate_entry?
          end

          def persisted?
            @provider.persisted?
          end

          def returned?
            @provider.returned?
          end

          def index?
            @provider.index?
          end

          def single_entry?
            @provider.single_entry?
          end

          def no_entries_found?
            @provider.no_entries_found?
          end

          def no_matching_entries?
            @provider.no_matching_entries?
          end

          def networking_error?
            @provider.networking_error?
          end

        end
      end
    end
  end
end
